### Functions

## Checks if the given directory contains files.

    containsFiles(String $dir)

This is used to check if config files need to be migrated.

### Parameters

#### $dir

`String`

directory path

## Saves an hash array (attribute => value) to an account profile

    copyConfigTemplates(array $profiles)

### Parameters

#### $profiles

`array`

server profiles

## Deletes a DN and all child entries.

    deleteDN(string $dn) : array

### Parameters

#### $dn

`string`

DN to delete

### Returns

`array`error messages

## Displays the login window.

    display_LoginPage(object $config_object)

### Parameters

#### $config_object

`object`

current active configuration

## Returns the number of child entries of a DN.

    getChildCount(string $dn) : \interger

### Parameters

#### $dn

`string`

DN of parent

### Returns

`\interger`number of childs

## mhash()

    mhash($hash_id, $password_clear)

### Parameters

#### $hash_id

#### $password_clear

## mhash_keygen_s2k()

    mhash_keygen_s2k($hash_id, $password_clear, $salt, $bytes)

### Parameters

#### $hash_id

#### $password_clear

#### $salt

#### $bytes

## openssl_hash()

    openssl_hash($openssl_hash_id, $password_clear)

### Parameters

#### $openssl_hash_id

#### $password_clear

## Copy a file or recursively copy a directory

    recursiveCopy(string $src, string $dst, array $profiles, string $fileFilter, boolean $overwrite)

### Parameters

#### $src

`string`

- source path to file or directory

#### $dst

`string`

- destination path to file or directory

#### $profiles

`array`

- server profiles (used to avoid copying of newly created folders)

#### $fileFilter

`string`

copy only files that start with the given filter

#### $overwrite

`boolean`

overwrite existing files

## Delete a file or recursively delete a directory

    recursiveDelete(string $src, array $profiles)

### Parameters

#### $src

`string`

- path to file or directory

#### $profiles

`array`

- server profiles (used to avoid copying of newly created folders)

## Recursively checks the permissions in a directory.

    testPermissionRecursive(String $dir) : array

### Parameters

#### $dir

`String`

directory

### Returns

`array`list of files/directories with wrong permission

## check the write/read permission for the upgrade

    testPermissions() : array

### Returns

`array`- permission messages

## Saves an hash array (attribute => value) to an account profile

    upgradeConfigToServerProfileFolders(array $profiles)

### Parameters

#### $profiles

`array`

server profiles

### Classes and interfaces

# FPDF¶

« More »

# htmlAccordion¶

Creates a list of content elements in accordion style.

« More »

# lamAjax¶

Manages all AJAX requests.

« More »

# moduleCache¶

Caches module objects.

« More »

### Constants

## FPDF_VERSION

    FPDF_VERSION

## MHASH_MD5

    MHASH_MD5

## MHASH_RIPEMD160

    MHASH_RIPEMD160

## MHASH_SHA1

    MHASH_SHA1